## org.hibernate.type.descriptor
Interface ValueBinder<X>

All Known Implementing Classes:
  BasicBinder

    public interface ValueBinder<X>

Contract for binding values to a `PreparedStatement`.

Author:
  Steve Ebersole

Method Summary
`void` `bind(PreparedStatement st, X value, int index, WrapperOptions options)` Bind a value to a prepared statement.

Method Detail

### bind

    void bind(PreparedStatement st,
              X value,
              int index,
              WrapperOptions options)
              throws SQLException

  Bind a value to a prepared statement.

  Parameters:
    `st` - The prepared statement to which to bind the value.
    `value` - The value to bind.
    `index` - The position at which to bind the value within the prepared statement
    `options` - The options.
  Throws:
    `SQLException` - Indicates a JDBC error occurred.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.